Tenant/Platforms
هذه الصفحة غير متوفرة باللغة العربية. يتم عرض النسخة الإنجليزية.
Get all project permissions by user
Fetches all project permissions for a user with optional filters.
Authorization
BearerAuthObject AuthorizationBearer <token>
Machine tokens only: a personal API token or a product robot token (POST /api/v2/products/{uid}/robot-tokens). A session JWT here is 401 — the web app uses the b2t_access cookie.
In: header
Path Parameters
id*integer
The user ID
Query Parameters
limit?integer
Maximum number of projects to return (pagination limit)
Default
30offset?integer
Offset to start pagination
Default
0name?string
Filter projects by name
permissions?string
Filter projects by specific permissions
projectTypeId?integer
Filter projects by project type ID
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v2/projects/permissions-by-user/1?limit=30&offset=0&name=My+Project+Name&projectTypeId=3"{ "projects": [ { "id": 26, "name": "DEMO", "hasEmptyPermissions": false, "projectTypeId": 2, "projectPermissions": [ "Viewer", "Editor", "Deleter" ], "projectTypePermissions": [ "Viewer", "Editor", "Deleter" ], "availablePermissions": [ "Viewer", "Editor", "Deleter" ], "actions": [ "ProjectUserDelete", "ProjectUserUpdate" ] } ], "pagination": { "maxCount": 101 }}{ "message": { "error": "Your request was made with invalid credentials." }}{ "message": { "error": "You are not allowed to perform this action." }}{ "message": { "error": "Page not found" }}{ "message": { "error": "Oops! Something went wrong! Write to administrator. Your Request Id {f1177aee-9a99-42f0-a23f-4dd29fc39b65-672e0df972ccb}" }}